DiscreteValueVect.h File Reference
`#include <RDGeneral/export.h>`
`#include <boost/smart_ptr.hpp>`
`#include <string>`
`#include <cstring>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

class | RDKit::DiscreteValueVect
| a class for efficiently storing vectors of discrete values More...

## Namespaces

| RDKit
| Std stuff.

## Functions

RDKIT_DATASTRUCTS_EXPORT unsigned int | RDKit::computeL1Norm (const DiscreteValueVect &v1, const DiscreteValueVect &v2)
RDKIT_DATASTRUCTS_EXPORT DiscreteValueVect | RDKit::operator+ (const DiscreteValueVect &p1, const DiscreteValueVect &p2)
RDKIT_DATASTRUCTS_EXPORT DiscreteValueVect | RDKit::operator- (const DiscreteValueVect &p1, const DiscreteValueVect &p2)

## Variables

const unsigned int | RDKit::BITS_PER_INT = 32